Apache Tomcat 6.0.53

## org.apache.catalina
Interface AccessLog

All Known Implementing Classes:
  AccessLogValve, ContainerBase.NoopAccessLog, ExtendedAccessLogValve, FastCommonAccessLogValve, JDBCAccessLogValve

    public interface AccessLog

Intended for use by a `Valve` to indicate that the `Valve` provides access logging. It is used by the Tomcat internals to identify a Valve that logs access requests so requests that are rejected earlier in the processing chain can still be added to the access log. Implementations of this interface should be robust against the provided `Request` and `Response` objects being null, having null attributes or any other 'oddness' that may result from attempting to log a request that was almost certainly rejected because it was mal-formed.

Method Summary
`void` | `log(Request request, Response response, long time)` Add the request/response to the access log using the specified processing time.

Method Detail

### log

    void log(Request request,
             Response response,
             long time)

  Add the request/response to the access log using the specified processing time.

  Parameters:
    `request` - Request (associated with the response) to log
    `response` - Response (associated with the request) to log
    `time` - Time taken to process the request/response in milliseconds (use 0 if not known)

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.